summary history branches tags files
commit:4ba95c3d426ca57b17fc1f91568300d43349c804
author:Trevor Bentley
committer:Trevor Bentley
date:Wed Jun 12 20:12:57 2019 +0200
parents:de5c43115eb2a0ffebe320b431e653cd8044bc6d
check for xargo in build script
diff --git a/build_all_and_test.sh b/build_all_and_test.sh
line changes: +12/-1
index b075376..456711f
--- a/build_all_and_test.sh
+++ b/build_all_and_test.sh
@@ -1,5 +1,4 @@
 #!/bin/bash
-set -e
 
 case `uname` in
     "Linux")
@@ -20,10 +19,22 @@ case `uname` in
 	;;
 esac
 
+command -v xargo > /dev/null
+if [[ $? -ne 0 ]]; then
+    echo "xargo required."
+    echo "run:"
+    echo "  $ cargo install xargo"
+    echo "  $ rustup component add rust-src"
+    exit 1
+fi
+
+set -e
+
 cargo test
 cargo bench -- --nocapture
 cargo build
 cargo build --examples
+cargo build --release
 cargo build --release --examples
 xargo build --target $XARGO_TARGET --release
 strip $STRIP_ARGS "target/release/libossuary.$LIB_EXT"